<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/AreaDamage/AreaDamageOneTimeRaycasted.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d3/db6/_area_damage_one_time_raycasted_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">AreaDamageOneTimeRaycasted.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d3/db6/_area_damage_one_time_raycasted_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">// DEPRECATED: Left for backwards compatibility with mods</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="keyword">class </span>AreaDamageOneTimeRaycasted <span class="keyword">extends</span> <a class="code hl_class" href="../../d5/d4e/class_area_damage_base.html">AreaDamageBase</a></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span>{   </div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../d5/d4e/class_area_damage_base.html#a3bfd6fefc2956810cecdc38b1d0d60a5">    4</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/d4e/class_area_damage_base.html#a3bfd6fefc2956810cecdc38b1d0d60a5">AreaDamageOneTimeRaycasted</a>(<a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> parent)</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>    {</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span> </div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>    }</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span> </div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno"><a class="line" href="../../d5/d4e/class_area_damage_base.html#a655638219bb8fbe820cf69a896d9499c">    9</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/d4e/class_area_damage_base.html#a655638219bb8fbe820cf69a896d9499c">~AreaDamageOneTimeRaycasted</a>() {}</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span> </div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno"><a class="line" href="../../d5/d4e/class_area_damage_base.html#a61b24c61bac65c60618aa52ad8d2100c">   11</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/d4e/class_area_damage_base.html#a61b24c61bac65c60618aa52ad8d2100c">SetRaycastSources</a>( <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;string&gt;</a> raycast_sources )</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>    {</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>        m_RaycastSources = raycast_sources;</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>    }</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>    </div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../d5/d4e/class_area_damage_base.html#a09e1fb78d5ed2529c91ce843bb75851e">   16</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/d4e/class_area_damage_base.html#a09e1fb78d5ed2529c91ce843bb75851e">OnEnterServer</a>(<a class="code hl_class" href="../../d8/d83/class_object.html">Object</a> <span class="keywordtype">object</span>)</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    {</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        super.OnEnterServer(<span class="keywordtype">object</span>);</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span> </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        <a class="code hl_function" href="../../d5/d4e/class_area_damage_base.html#ae74bbf59aba78050a976cc13d72f092d">EvaluateDamage</a>(<span class="keywordtype">object</span>);</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    }</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>}</div>
<div class="ttc" id="aclass_area_damage_base_html"><div class="ttname"><a href="../../d5/d4e/class_area_damage_base.html">AreaDamageBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d26/_area_damage_8c_source.html#l00003">AreaDamage.c:4</a></div></div>
<div class="ttc" id="aclass_area_damage_base_html_a09e1fb78d5ed2529c91ce843bb75851e"><div class="ttname"><a href="../../d5/d4e/class_area_damage_base.html#a09e1fb78d5ed2529c91ce843bb75851e">AreaDamageBase::OnEnterServer</a></div><div class="ttdeci">override void OnEnterServer(Object object)</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/db6/_area_damage_one_time_raycasted_8c_source.html#l00016">AreaDamageOneTimeRaycasted.c:16</a></div></div>
<div class="ttc" id="aclass_area_damage_base_html_a3bfd6fefc2956810cecdc38b1d0d60a5"><div class="ttname"><a href="../../d5/d4e/class_area_damage_base.html#a3bfd6fefc2956810cecdc38b1d0d60a5">AreaDamageBase::AreaDamageOneTimeRaycasted</a></div><div class="ttdeci">void AreaDamageOneTimeRaycasted(EntityAI parent)</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/db6/_area_damage_one_time_raycasted_8c_source.html#l00004">AreaDamageOneTimeRaycasted.c:4</a></div></div>
<div class="ttc" id="aclass_area_damage_base_html_a61b24c61bac65c60618aa52ad8d2100c"><div class="ttname"><a href="../../d5/d4e/class_area_damage_base.html#a61b24c61bac65c60618aa52ad8d2100c">AreaDamageBase::SetRaycastSources</a></div><div class="ttdeci">override void SetRaycastSources(array&lt; string &gt; raycast_sources)</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/db6/_area_damage_one_time_raycasted_8c_source.html#l00011">AreaDamageOneTimeRaycasted.c:11</a></div></div>
<div class="ttc" id="aclass_area_damage_base_html_a655638219bb8fbe820cf69a896d9499c"><div class="ttname"><a href="../../d5/d4e/class_area_damage_base.html#a655638219bb8fbe820cf69a896d9499c">AreaDamageBase::~AreaDamageOneTimeRaycasted</a></div><div class="ttdeci">void ~AreaDamageOneTimeRaycasted()</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/db6/_area_damage_one_time_raycasted_8c_source.html#l00009">AreaDamageOneTimeRaycasted.c:9</a></div></div>
<div class="ttc" id="aclass_area_damage_base_html_ae74bbf59aba78050a976cc13d72f092d"><div class="ttname"><a href="../../d5/d4e/class_area_damage_base.html#ae74bbf59aba78050a976cc13d72f092d">AreaDamageBase::EvaluateDamage</a></div><div class="ttdeci">protected void EvaluateDamage(Object object)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d26/_area_damage_8c_source.html#l00103">AreaDamage.c:103</a></div></div>
<div class="ttc" id="aclass_entity_a_i_html"><div class="ttname"><a href="../../df/df9/class_entity_a_i.html">EntityAI</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d45/3___game_2_entities_2_building_8c_source.html#l00001">Building.c:2</a></div></div>
<div class="ttc" id="aclass_object_html"><div class="ttname"><a href="../../d8/d83/class_object.html">Object</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d68/_object_typed_8c_source.html#l00001">ObjectTyped.c:2</a></div></div>
<div class="ttc" id="aclassarray_html"><div class="ttname"><a href="../../d2/d41/classarray.html">array</a></div><div class="ttdoc">Result for an object found in CGame.IsBoxCollidingGeometryProxy.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dcd/_is_box_colliding_geometry_proxy_classes_8c_source.html#l00027">IsBoxCollidingGeometryProxyClasses.c:28</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_2a972ea0fe0c16b391e52022fc76328f.html">AreaDamage</a></li><li class="navelem"><a class="el" href="../../d3/db6/_area_damage_one_time_raycasted_8c.html">AreaDamageOneTimeRaycasted.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
